;;; 07_5-custom-created-packages --- Provide all the custom code I've created

;;; Commentary:

;;; Code:


(use-package convert-to-table
  :commands leo/convert-to-table
  :load-path "custom/convert-to-table")

;; Allows links to open a Dired buffer (useful in Org links for example)
;; [[my link][dired:~/myexample]]
(use-package ol-dired
  :demand t
  :load-path "custom/ol-dired")

;; Open a mail message in MacOS Mail app
(use-package ol-message
  :if (eq system-type 'darwin)
  :demand t
  :load-path "custom/ol-message")

;; Login to SF orgs via an Org link
;; [[Login to an org][sflogin:lolson@eaglecrk.com.myorgusername]]
(use-package ol-sflogin
  :demand t
  :load-path "custom/ol-sflogin")

(use-package sfdx
  :load-path "custom/sfdx"
  :bind
  ("M-<tab>" . sfdx/next-component-file)
  ("C-x C-l s" . sfdx/transient-action))

(use-package vlocitemacs
  :load-path "custom/vlocitemacs"
  :bind
  ("C-x C-l v" . vlo/transient-action))



(use-package json
  :straight (
             :type git
             :host github
             :repo "ryancrum/json.el"
             :branch "master")
  :commands (json-read json-read-from-string json-encode))

(use-package gcode
  :straight (
             :type git
             :host github
             :repo "jasapp/gcode-emacs"
             :branch "master")
  :commands gcode-mode)



(provide '07_5-custom-created-packages)
;;; 07_5-custom-created-packages.el ends here
